Bug 30281 - Focus not restored after restart
Focus not restored after restart
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Window System
3.x
All All
: P3 (vote)
: 3.x
Assigned To: mslama
issues@platform
: FOCUS, UI
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-22 17:18 UTC by Tomas Pavek
Modified: 2008-12-23 09:46 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Pavek 2003-01-22 17:18:41 UTC
dev build 20030122, MDI, jdk 1.4.0

- run clean build,
- open examples/colopicker/ColorPreview.java
- click in the editor to be sure it is active (see
issue 30280),
- restart IDE -> editor is not focused (although
the border is painted like activated)...
Comment 1 Marian Mirilovic 2003-01-23 11:01:32 UTC
reproducible in [nb_dev](20030123), [jdk1.4.2](b14)

Comment 2 mslama 2003-02-12 17:51:25 UTC
I added flag to WindowManagerImpl which is set to true when IDE is
exited. It is to ignore mode deactivation during IDE exit when top
level frames are set hidden.

Modified:
core/src/org/netbeans/core/NbTopManager.java r.1.182
core/src/org/netbeans/core/windows/WindowManagerImpl.java r.169
core/src/org/netbeans/core/windows/WorkspaceImpl.java r.114
Comment 3 Marian Mirilovic 2003-03-19 09:37:10 UTC
verified in [nb_release35](200303182350)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo